Index: maintenance/storage/compressOld.inc
===================================================================
--- maintenance/storage/compressOld.inc	(.../REL1_9_1/phase3)	(revision 19769)
+++ maintenance/storage/compressOld.inc	(.../REL1_9_2/phase3)	(revision 19769)
@@ -284,8 +284,8 @@
 
 					# Store the stub objects
 					for ( $j = 1; $j < $thisChunkSize; $j++ ) {
-						# Skip if not compressing
-						if ( $stubs[$j] !== false ) {
+						# Skip if not compressing and don't overwrite the first revision
+						if ( $stubs[$j] !== false && $revs[$i + $j]->rev_text_id != $primaryOldid ) {
 							$dbw->update( 'text',
 								array( /* SET */
 									'old_text' => serialize($stubs[$j]),
Index: skins/common/wikibits.js
===================================================================
--- skins/common/wikibits.js	(.../REL1_9_1/phase3)	(revision 19769)
+++ skins/common/wikibits.js	(.../REL1_9_2/phase3)	(revision 19769)
@@ -853,7 +853,7 @@
 
 function sortableTables() {
 	if (getElementsByClassName(document, "table", "sortable").length != 0) {
-		document.write('<script type="text/javascript" src="'+stylepath+'/common/sorttable.js"></script>');
+		document.write('<script type="text/javascript" src="'+stylepath+'/common/sorttable.js?1"></script>');
 	}
 }
 
Index: skins/common/sorttable.js
===================================================================
--- skins/common/sorttable.js	(.../REL1_9_1/phase3)	(revision 19769)
+++ skins/common/sorttable.js	(.../REL1_9_2/phase3)	(revision 19769)
@@ -55,9 +55,8 @@
 	// We have a first row: assume it's the header, and make its contents clickable links
 	for (var i=0;i<firstRow.cells.length;i++) {
 		var cell = firstRow.cells[i];
-		var txt = ts_getInnerText(cell);
 		if (cell.className != "unsortable" && cell.className.indexOf("unsortable") == -1) {
-			cell.innerHTML = txt+'&nbsp;&nbsp;<a href="#" class="sortheader" onclick="ts_resortTable(this);return false;"><span class="sortarrow"><img src="'+ image_path + image_none + '" alt="&darr;"/></span></a>';
+			cell.innerHTML += '&nbsp;&nbsp;<a href="#" class="sortheader" onclick="ts_resortTable(this);return false;"><span class="sortarrow"><img src="'+ image_path + image_none + '" alt="&darr;"/></span></a>';
 		}
 	}
 	if (alternate_row_colors) {
Index: skins/MySkin.deps.php
===================================================================
--- skins/MySkin.deps.php	(.../REL1_9_1/phase3)	(revision 19769)
+++ skins/MySkin.deps.php	(.../REL1_9_2/phase3)	(revision 19769)
@@ -5,6 +5,9 @@
 // changed on a subsequent page view.
 // see http://mail.wikipedia.org/pipermail/wikitech-l/2006-January/033660.html
 
+if ( ! defined( 'MEDIAWIKI' ) )
+	die( 1 );
+
 require_once('includes/SkinTemplate.php');
 require_once('MonoBook.php');
-?>
\ No newline at end of file
+?>
Index: skins/Chick.deps.php
===================================================================
--- skins/Chick.deps.php	(.../REL1_9_1/phase3)	(revision 19769)
+++ skins/Chick.deps.php	(.../REL1_9_2/phase3)	(revision 19769)
@@ -5,6 +5,9 @@
 // changed on a subsequent page view.
 // see http://mail.wikipedia.org/pipermail/wikitech-l/2006-January/033660.html
 
+if ( ! defined( 'MEDIAWIKI' ) )
+	die( 1 );
+
 require_once('includes/SkinTemplate.php');
 require_once('MonoBook.php');
-?>
\ No newline at end of file
+?>
Index: skins/MonoBook.deps.php
===================================================================
--- skins/MonoBook.deps.php	(.../REL1_9_1/phase3)	(revision 19769)
+++ skins/MonoBook.deps.php	(.../REL1_9_2/phase3)	(revision 19769)
@@ -5,5 +5,8 @@
 // changed on a subsequent page view.
 // see http://mail.wikipedia.org/pipermail/wikitech-l/2006-January/033660.html
 
+if ( ! defined( 'MEDIAWIKI' ) )
+	die( 1 );
+
 require_once('includes/SkinTemplate.php');
-?>
\ No newline at end of file
+?>
Index: skins/Simple.deps.php
===================================================================
--- skins/Simple.deps.php	(.../REL1_9_1/phase3)	(revision 19769)
+++ skins/Simple.deps.php	(.../REL1_9_2/phase3)	(revision 19769)
@@ -5,6 +5,9 @@
 // changed on a subsequent page view.
 // see http://mail.wikipedia.org/pipermail/wikitech-l/2006-January/033660.html
 
+if ( ! defined( 'MEDIAWIKI' ) )
+	die( 1 );
+
 require_once('includes/SkinTemplate.php');
 require_once('MonoBook.php');
-?>
\ No newline at end of file
+?>
Index: includes/DefaultSettings.php
===================================================================
--- includes/DefaultSettings.php	(.../REL1_9_1/phase3)	(revision 19769)
+++ includes/DefaultSettings.php	(.../REL1_9_2/phase3)	(revision 19769)
@@ -32,7 +32,7 @@
 $wgConf = new SiteConfiguration;
 
 /** MediaWiki version number */
-$wgVersion			= '1.9.1';
+$wgVersion			= '1.9.2';
 
 /** Name of the site. It must be changed in LocalSettings.php */
 $wgSitename         = 'MediaWiki';
@@ -1096,7 +1096,7 @@
  * to ensure that client-side caches don't keep obsolete copies of global
  * styles.
  */
-$wgStyleVersion = '42a';
+$wgStyleVersion = '42b';
 
 
 # Server-side caching:
Index: config/index.php
===================================================================
--- config/index.php	(.../REL1_9_1/phase3)	(revision 19769)
+++ config/index.php	(.../REL1_9_2/phase3)	(revision 19769)
@@ -551,7 +551,7 @@
 	$conf->RightsUrl = "http://www.gnu.org/copyleft/fdl.html";
 	$conf->RightsText = "GNU Free Documentation License 1.2";
 	$conf->RightsCode = "gfdl";
-	$conf->RightsIcon = '${wgStylePath}/common/images/gnu-fdl.png';
+	$conf->RightsIcon = '${wgScriptPath}/skins/common/images/gnu-fdl.png';
 } elseif( $conf->License == "none" ) {
 	$conf->RightsUrl = $conf->RightsText = $conf->RightsCode = $conf->RightsIcon = "";
 } else {
Index: RELEASE-NOTES
===================================================================
--- RELEASE-NOTES	(.../REL1_9_1/phase3)	(revision 19769)
+++ RELEASE-NOTES	(.../REL1_9_2/phase3)	(revision 19769)
@@ -3,6 +3,25 @@
 Security reminder: MediaWiki does not require PHP's register_globals
 setting since version 1.2.0. If you have it on, turn it *off* if you can.
 
+== MediaWiki 1.9.2 ==
+
+February 4, 2007
+
+This is a bug-fix update that fixes some installation and other minor
+issues with the 1.9.1 release as well as a security issue which was
+introduced in the 1.9 branch.
+
+JavaScript code which regenerated the "sortable tables" feature did
+not properly sanitize input, leading to an HTML injection vulnerability.
+
+* (bug 8774) Fix path for GNU FDL rights icon on new installs
+* (bug 8819) Fix full path disclosure with skins dependencies
+* (bug 4268) Fixed data-loss bug in compressOld batch text compression
+  affecting pages which had null edits (move, protect, etc) as second
+  edit in a batch group. Isolated and patched by Travis Derouin.
+* Security fix for sortable tables JavaScript
+
+
 == MediaWiki 1.9.1 ==
 
 January 24, 2007
